Description

When clicking on the msgid the inReplyTo field is filled with the ID. But somehow this gets mangled and you end up with a different
number(!)

History

#1 - 04/25/2011 11:33 PM - Patrick Talbot

Actually tweet ids are internally Biglnteger, which is a much bigger range than plain int.
| suppose that Servoy is parsing the number as an int, thus the conversion problem.

More like a Servoy issue than a plugin issue here...
| guess that | could accept a String and do the conversion to Biglnteger in the plugin?

#2 - 04/25/2011 11:38 PM - Robert Ivens

| rewrote the solution to keep the tweet array as a formvar and STILL it mangles the ID's. It seems indeed that the problem lies in how Servoy handles
this value.

62627492799852540 becomes 62627492799852544
But 62626627393290240 stays 62626627393290240. Others are different again.

So yes...better make it a string instead.
#3 - 04/25/2011 11:48 PM - Patrick Talbot

Yes, | guess there is a conversion problem (even when sending the value as a String in the setReply() javascript call) and | also suppose it's deep in
Rhino's handling of JavaScript's numbers (as Integer or Double)

The only probable solution to this is to handle tweet ids parameters send as String, then do the conversion myself...

#4 - 04/26/2011 12:22 AM - Patrick Talbot

- Status changed from New to In Progress

OK, 0.8.5 will accept ids as String (and Tweet.getld() and Message.getld() will also be String BTW, because the conversion error started here!)
Coming soon...

#5 - 04/26/2011 12:27 AM - Patrick Talbot

- Status changed from In Progress to Closed

Fixed in v0.8.5 + updated sample solution

05/24/2025 1/1



http://www.tcpdf.org

